Page MenuHomePhabricator

Rework =shlibs-added/=shlibs-removed
ClosedPublic

Authored by ki.stfu on Apr 26 2015, 2:26 AM.

Details

Summary

This patch includes the following:

  • Rename =shlibs-added/=shlibs-removed to standard =library-loaded/=library-unloaded
  • Remove redundant fields
  • Add extra symbols-loaded/symbols-path and loaded_addr fields
  • Rename CMICmnMIOutOfBandRecord::eOutOfBand_TargetModulesLoaded/eOutOfBand_TargetModulesUnloaded to CMICmnMIOutOfBandRecord::eOutOfBand_TargetModuleLoaded/eOutOfBand_TargetModuleUnloaded

Diff Detail

Event Timeline

ki.stfu updated this revision to Diff 24441.Apr 26 2015, 2:26 AM
ki.stfu retitled this revision from to Rework =shlibs-added/=shlibs-removed.
ki.stfu updated this object.
ki.stfu edited the test plan for this revision. (Show Details)
ki.stfu added reviewers: abidh, jasonmolenda, jingham.
ki.stfu added subscribers: abidh, jasonmolenda, jingham, Unknown Object (MLST).
abidh accepted this revision.Apr 28 2015, 10:41 AM
abidh edited edge metadata.

Looks good apart from some inline comments. It would be good to add a test case for it too.

tools/lldb-mi/MICmnLLDBDebuggerHandleEvents.cpp
703

Are you making sure that host-name and target-name field are correctly handled for remote target too?

718

As these fields are not in GDB/MI, would be good to document them in extensions.

This revision is now accepted and ready to land.Apr 28 2015, 10:41 AM
ki.stfu planned changes to this revision.Apr 28 2015, 12:40 PM
ki.stfu added inline comments.Apr 29 2015, 5:56 AM
tools/lldb-mi/MICmnLLDBDebuggerHandleEvents.cpp
703

As you see, the host-name I take from GetPlatformFileSpec() but for target-name I use the GetFileSpec(). I supposed that the GetFileSpec() will return file path on host, like:

/Users/IliaK/Library/Developer/Xcode/iOS DeviceSupport/8.3 (12F69)/Symbols/usr/lib/libc++.1.dylib

And the GetPlatformFileSpec() will return file path on remote device:

/usr/lib/libc++.1.dylib
ki.stfu updated this revision to Diff 24622.Apr 29 2015, 5:57 AM
ki.stfu edited edge metadata.

Add description in MIExtensions.txt + simple test

This revision is now accepted and ready to land.Apr 29 2015, 5:57 AM
ki.stfu updated this revision to Diff 24624.Apr 29 2015, 6:07 AM

Skip symbols-loaded/symbols-path/loaded_addr fields in =library-unloaded

@abidh, is it ok for you now?

ki.stfu updated this revision to Diff 24693.Apr 30 2015, 4:08 AM

Rebase against ToT

ki.stfu updated this revision to Diff 24694.Apr 30 2015, 4:11 AM

Remove obvious comments

ki.stfu closed this revision.Apr 30 2015, 4:11 AM